PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List sites GETCreate a site POSTGet a site GETUpdate a site PATCHDelete a site DELETEPublish a site POSTUnpublish a site POSTList pages GETCreate a page POSTGet a page GETUpdate a page PATCHDelete a page DELETEList collections GETCreate a collection POSTGet a collection GETUpdate a collection PATCHDelete a collection DELETEList collection items GETCreate a collection item POSTGet a collection item GETUpdate a collection item PATCHDelete a collection item DELETEPublish collection items POSTUnpublish collection items POSTArchive collection items POSTUpsert collection items POST
Sites

List collections

GET
/sites/{siteId}/collections

Authorization

x-api-key<token>

In: header

Path Parameters

siteId*string

Response Body

application/json

curl -X GET "https://example.com/sites/string/collections"
{  "data": [    {      "id": "string",      "name": "string",      "slug": "string",      "templatePageId": "string",      "fields": [        {          "key": "string",          "label": "string",          "type": "text",          "required": true,          "helpText": "string",          "options": [            "string"          ],          "referenceCollectionId": "string",          "itemFields": [            {              "key": "string",              "label": "string",              "type": "text"            }          ]        }      ],      "jsonLd": {        "type": "DefinedTerm",        "map": {          "property1": "string",          "property2": "string"        }      },      "itemCount": 0,      "sortOrder": 0,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}

Delete a page DELETE

The homepage cannot be deleted.

Create a collection POST

Also creates the collection's TEMPLATE page. A PAGE with the same slug acts as the index. Nothing is served until the next site publish.